File: control

package info (click to toggle)
kdesu 5.54.0-1
  • links: PTS, VCS
  • area: main
  • in suites: buster, sid
  • size: 560 kB
  • sloc: cpp: 2,849; ansic: 296; sh: 15; makefile: 7
file content (77 lines) | stat: -rw-r--r-- 2,424 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
Source: kdesu
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.54.0~),
               graphviz,
               libkf5coreaddons-dev (>= 5.54.0~),
               libkf5i18n-dev (>= 5.54.0~),
               libkf5pty-dev (>= 5.54.0~),
               libkf5service-dev (>= 5.54.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.9.0~),
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kdesu
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdesu
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdesu.git

Package: libkf5su-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5su5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa1)
Replaces: libkf5su5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa1)
Description: runtime files for kdesu
 Framework to handle super user actions.
 .
 Contains runtime files for kdesu.

Package: libkf5su-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libkf5su5 (<< 5.10)
Replaces: libkf5su5 (<< 5.10)
Description: translation files for kdesu
 Framework to handle super user actions
 .
 Contains translation files for kdesu.

Package: libkf5su-dev
Section: libdevel
Architecture: any
Depends: libkf5pty-dev (>= 5.54.0~),
         libkf5su5 (= ${binary:Version}),
         ${misc:Depends},
Breaks: libkf5kdelibs4support-dev (<< 5.54)
Recommends: libkf5su-doc (= ${source:Version})
Description: development files for kdesu
 Framework to handle super user actions.
 .
 Contains development files for kdesu.

Package: libkf5su-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: runtime files for kdesu (documentation)
 Framework to handle super user actions.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5su5
Architecture: any
Multi-Arch: same
Depends: libkf5su-data (= ${source:Version}),
         sudo,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5su-bin (= ${binary:Version})
Description: Integration with su for elevated privileges.
 Framework to handle super user actions